Kerbal Space Program - Bug #17975

Dumpling and doughnut tanks incorrect mass
03/10/2018 12:36 PM - GoSlash27

Status: Being Worked On Start date: 03/10/2018
Severity: Low % Done: 30%
Assignee:

Category: Parts

Target version:

Version: 1.4.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

The Dumpling tank is listed as .3375 tonnes empty mass in the config file. Should be .01375
The Doughnut is listed as .01, should be .0375

History

#1 - 03/10/2018 01:41 PM - RuBisCO1
- File ToroidTank.cfg added

- File RadialTank_Round.cfg added

- File RadialTank_Capsule.cfg added

Also fuel:ox ratio is incorrect: Normal ratio is 9:11, but the 'R-4" has a ratio of 5:6 and 'R-11" has a ratio of 4:5, these leaves extra fuel/oxide after use.
| have changed the fuel amounts and masses of my tank .cfg files to fix this.

'R-12' Toriod: mass = 0.025

'R-11' Capsule: mass = 0.0375, fuel amount = 40.5 oxidizer amount = 49.5

'R-4' Round: mass = 0.0125, fuel amount = 13.5 oxidizer amount = 16.5

#2 - 03/10/2018 04:21 PM - Renegrade
| believe Squad has indicated that they wanted to make all LF/O tanks a 9:1 ratio (unfortunately). If this is still the case, then it should be more like
this:

externalTankToroid
mass = 0.025
amount = 20.25 // LF
amount = 24.75 // O

externalTankCapsule
mass = 0.0375
amount = 30.375 // LF
amount = 37.125 // O

externalTankRound
mass = 0.0125
amount = 10.125 // LF
amount = 12.375 // O

#3 - 03/10/2018 04:27 PM - Nebbie
- Status changed from New to Confirmed

- % Done changed from 0 to 10

This is a known bug, and at least for the Dumpling is fixed in 1.4.1 according to RoverDude.

#4 - 03/10/2018 05:54 PM - RuBisCO1

Renegrade wrote:
| believe Squad has indicated that they wanted to make all LF/O tanks a 9:1 ratio (unfortunately). If this is still the case, then it should be more
like this:

externalTankToroid
mass = 0.025
amount = 20.25 // LF
amount =24.75 // O

externalTankRound
mass = 0.0375
amount = 30.375 // LF
amount = 37.125 // O

externalTankCapsule
mass = 0.0125
amount = 10.125 // LF
amount = 12.375 // O

Well aside for the 9:1 mass ratios the numbers you provide makes no sense for the size of the tanks: | think you need to switch 'round' and 'capsule’.
Also there is the disconcerting nature of how the 'round' tank is bigger than the old Oscar-B tank yet holds less.

#5 - 03/11/2018 04:43 PM - Renegrade

I've fixed the reversal issue there.

| actually just used your dry mass figures and recomputed for 9:1. The Oscar-B probably has too much fuel anyhow, as it's about 1/6th of the volume
(roughly) of a FT-100 and yet holds 40% of the fuel (1/2.5 fuel vs. 1/4 or 1/6 vol).

| thought 1.4 was supposed to involve a part balance and sanity pass, but | think that was either skipped or coming in 71.4.1. Tail fins (even the
craptastic AV-T1 winglet) are still more expensive than a rocket engine (500x3 or 500x4 of those > 1200 fund T-45?? the heck?).

#6 - 03/12/2018 06:11 PM - Nebbie

There was a balance pass done over Xenon and Monoprop tanks. | think they just forgot to do it on the new small LFO tanks. There has been no talk
of fixing relative part costs.

#7 - 03/12/2018 06:17 PM - Squelch
- Status changed from Confirmed to Being Worked On
- % Done changed from 10 to 30

#8 - 03/12/2018 10:58 PM - RuBisCO1
- File deleted (ToroidTank.cfg)

#9 - 03/12/2018 10:58 PM - RuBisCO1
- File deleted (RadialTank_Round.cfg)

#10 - 03/12/2018 10:59 PM - RuBisCO1
- File deleted (RadialTank_Capsule.cfg)

#11 - 03/12/2018 11:06 PM - RuBisCO1

This all depends on what you guys want to do with the wet:dry ratio, if you want to keep it at 9:1 or not and also there is how the Oscar-B tank simply
holds too much fuel compared to these tanks. To be in line with the Oscar-B these are the numbers to use:

R-4 'Dumpling’ R-11 'Baguette' R-12 'Doughnut' Oscar-B
Wet Mass 0.225 0.675 0.3375 0.225

Dry Mass 0.025 0.075 0.0375 0.025

Wet :Dry Ratio 9:1 9:1 9:1 9:1

Fuel 18 54 27 18

0x 22 66 33 22

Fuel:0x Ratio 9:11 9:11 9:11 9:11

Prop Mass 0.2 0.6 0.3 0.2

If on the other hand the Oscar-B was to be cut to half its present fuel load then these numbers would make sense as the Dumpling is 133% the
volume of the Oscar-B, and the Baguette is 400% the volume of the Oscar-B:

R-4 'Dumpling’ R-11 'Baguette' R-12 'Doughnut' Oscar-B
Wet Mass 0.1485 0.4455 0.3375 0.1125

Dry Mass 0.0165 0.0495 0.0375 0.0125

Wet :Dry Ratio 9:1 9:1 9:1 9:1

04/27/2024 2/3



Fuel 11.88 35.64 27 9

Ox 14.52 43.56 33 11
Fuel:0x Ratio 9:11 9:11 9:11 9:11
Prop Mass 0.132 0.396 0.3 0.1

#12 - 03/12/2018 11:09 PM - RuBisCO1
- File KSP gold tank parameters.ods added

#13 - 03/12/2018 11:10 PM - RuBisCO1
- File KSP gold tank parameters.xls added

Files

KSP gold tank parameters.ods 17.4 KB 03/12/2018 RuBisCO1

KSP gold tank parameters.xls 11 KB 03/12/2018 RuBisCO1
